﻿using System;

namespace TestKlasse
{
  class Program
  {
    static void Main(string[] args)
    {
      Test t = new Test();
      t.Dispose();
      
      Console.WriteLine("*** Ende des Programms ***");
    }
  }

  class Test : IDisposable 
  {
    public Test()
    {
      Console.WriteLine("Im Konstruktor");
    }

    ~Test()  // GC
    {
      Console.WriteLine("Im Destruktor");
      // Aufräumen
    }

    #region IDisposable Members

    public void Dispose()     // Programmierer
    {
      Console.WriteLine("In Dispose");
      GC.SuppressFinalize(this);
      // Aufräumen
    }

    #endregion
  }
}
